%define oname	gmailfeed

Name:		plasma-applet-gmailfeed
Version:	1.2
Release:	%mkrel 1
Summary:	Plasma 5 plasmoid showing your Gmail feed
Group:		Graphical desktop/KDE
License:	GPLv3+
Url:		https://store.kde.org/p/998911/
Source0:	https://github.com/anthon38/gmailfeed/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildRequires:	intltool
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Plasma)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KAccounts)
BuildRequires:	cmake(AccountsQt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Quick)

%description
Gmail Feed is a plasmoid for Plasma 5. It provides a list of your
unread emails from your Gmail inbox. You also get notified when
you receive new messages.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_kf5_qmldir}/org/kde/plasma/private/%{oname}/
%{_kf5_services}/plasma-applet-org.kde.plasma.%{oname}.desktop
%{_kf5_knotificationsdir}/%{oname}.notifyrc
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.%{oname}/
%{_kf5_datadir}/accounts/providers/google-gmail.provider
%{_kf5_datadir}/accounts/services/gmail-feed.service
%{_kf5_metainfodir}/org.kde.plasma.%{oname}.appdata.xml
%{_kf5_iconsdir}/hicolor/scalable/apps/%{oname}.svgz


%changelog
* Wed Nov 30 2022 daviddavid <daviddavid> 1.2-1.mga9
+ Revision: 1913508
- new version: 1.2

* Thu Dec 17 2020 umeabot <umeabot> 1.1-6.mga9
+ Revision: 1659387
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 1.1-5.mga8
+ Revision: 1588538
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 1.1-4.mga8
+ Revision: 1524876
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.1-3.mga7
+ Revision: 1383952
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.1-2.mga7
+ Revision: 1300299
- Mageia 7 Mass Rebuild

* Thu Mar 22 2018 daviddavid <daviddavid> 1.1-1.mga7
+ Revision: 1211219
- initial package plasma-applet-gmailfeed

